Bug 1278683 - Column of Resource limits Request/Limit/Ratio are missing when describe a project which has limit set
Column of Resource limits Request/Limit/Ratio are missing when describe a pro...
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Juan Vallejo
Liang Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 02:19 EST by Liang Xia
Modified: 2017-11-02 10:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxia: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2015-11-06 02:19:35 EST
Description of problem:
When describe a project which has limit set,
Column of Resource limits Request/Limit/Ratio are missing

Version-Release number of selected component (if applicable):
openshift v3.1.0.0
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2
oc v3.1.0.0

How reproducible:
Always

Steps to Reproduce:
1.Create a project
$ oc new-project myproject
2.Create limit and apply to above project
$ oc create -f limit.yaml -n myproject
3.Check the project
$ oc describe project myproject

Actual results:
$ oc describe project proj1
Name:        proj1
Created:    About a minute ago
Labels:        <none>
Annotations:    openshift.io/description=
        openshift.io/display-name=
        openshift.io/sa.scc.mcs=s0:c7,c4
        openshift.io/sa.scc.supplemental-groups=1000050000/10000
        openshift.io/sa.scc.uid-range=1000050000/10000
Display Name:    <none>
Description:    <none>
Status:        Active
Node Selector:    <none>
Quota:        <none>
Resource limits:
    Name:        limits
    Type        Resource    Min    Max    Default
    ----        --------    ---    ---    ---
    Container    cpu        -    -    200m
    Container    memory        -    -    1Gi

Expected results:
Show full columns of resource limit.

Additional info:
$ oc describe limits limits
Name:        limits
Namespace:    proj1
Type        Resource    Min    Max    Request    Limit    Limit/Request
----        --------    ---    ---    -------    -----    -------------
Container    cpu        -    -    200m    200m    -
Container    memory        -    -    1Gi    1Gi    -
Comment 2 Liang Xia 2016-02-22 04:27:14 EST
Still can be reproduced on version,
openshift v3.1.1.904
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5


$ oc describe project default --config=admin.kubeconfig
Name:		default
Created:	5 hours ago
Labels:		<none>
Annotations:	openshift.io/sa.initialized-roles=true
		openshift.io/sa.scc.mcs=s0:c1,c0
		openshift.io/sa.scc.supplemental-groups=1000000000/10000
		openshift.io/sa.scc.uid-range=1000000000/10000
Display Name:	<none>
Description:	<none>
Status:		Active
Node Selector:	<none>
Quota:		<none>
Resource limits:
	Name:		limits
	Type		Resource	Min	Max	Default
	----		--------	---	---	---
	Pod		cpu		10m	500m	-
	Pod		memory		5Mi	750Mi	-
	Container	cpu		10m	500m	100m
	Container	memory		5Mi	750Mi	100Mi



$ oc describe limits limits
Name:		limits
Namespace:	default
Type		Resource	Min	Max	Default Request	Default Limit	Max Limit/Request Ratio
----		--------	---	---	---------------	-------------	-----------------------
Pod		cpu		10m	500m	-		-		-
Pod		memory		5Mi	750Mi	-		-		-
Container	memory		5Mi	750Mi	100Mi		100Mi		-
Container	cpu		10m	500m	100m		100m		-
Comment 3 Juan Vallejo 2017-10-17 16:53:31 EDT
Origin PR: https://github.com/openshift/origin/pull/16918
Comment 4 Liang Xia 2017-10-27 03:33:08 EDT
Tested on below version, still can reproduce. Maybe the current build does not contain the fix yet. Will try again once we got a newer build.

openshift v3.7.0-0.181.0
kubernetes v1.7.6+a08f5eeb62

# oc describe project default
Name:		default
Created:	5 hours ago
Labels:		<none>
Annotations:	openshift.io/node-selector=
		openshift.io/sa.initialized-roles=true
		openshift.io/sa.scc.mcs=s0:c1,c0
		openshift.io/sa.scc.supplemental-groups=1000000000/10000
		openshift.io/sa.scc.uid-range=1000000000/10000
Display Name:	<none>
Description:	<none>
Status:		Active
Node Selector:	<none>
Quota:		<none>
Resource limits:
	Name:		resource-limits
	Type		Resource	Min	Max	Default
	----		--------	---	---	---
	Pod		memory		6Mi	1Gi	-
	Pod		cpu		200m	2	-
	Container	cpu		100m	2	300m
	Container	memory		4Mi	1Gi	200Mi

# oc describe limits
Name:		resource-limits
Namespace:	default
Type		Resource	Min	Max	Default Request	Default Limit	Max Limit/Request Ratio
----		--------	---	---	---------------	-------------	-----------------------
Pod		cpu		200m	2	-		-		-
Pod		memory		6Mi	1Gi	-		-		-
Container	memory		4Mi	1Gi	100Mi		200Mi		-
Container	cpu		100m	2	200m		300m		10
Comment 5 Liang Xia 2017-10-30 23:06:10 EDT
Checked on below version, you can see that limits in describe project and describe limit are different, assign back to get this fixed.

# openshift version
openshift v3.7.0-0.184.0
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8


# oc describe project default
Name:		default
Created:	2 hours ago
Labels:		<none>
Annotations:	openshift.io/node-selector=
		openshift.io/sa.initialized-roles=true
		openshift.io/sa.scc.mcs=s0:c1,c0
		openshift.io/sa.scc.supplemental-groups=1000000000/10000
		openshift.io/sa.scc.uid-range=1000000000/10000
Display Name:	<none>
Description:	<none>
Status:		Active
Node Selector:	<none>
Quota:		<none>
Resource limits:
	Name:		resource-limits
	Type		Resource	Min	Max	Default	Limit	Limit/Request
	----		--------	---	---	---	-----	-------------
	Pod		cpu		200m	2	-	-	-
	Pod		memory		6Mi	1Gi	-	-	-
	Container	memory		4Mi	1Gi	200Mi	200Mi	-
	Container	cpu		100m	2	300m	300m	10


# oc describe limits
Name:		resource-limits
Namespace:	default
Type		Resource	Min	Max	Default Request	Default Limit	Max Limit/Request Ratio
----		--------	---	---	---------------	-------------	-----------------------
Pod		cpu		200m	2	-		-		-
Pod		memory		6Mi	1Gi	-		-		-
Container	cpu		100m	2	200m		300m		10
Container	memory		4Mi	1Gi	100Mi		200Mi		-
Comment 6 Juan Vallejo 2017-10-31 10:33:03 EDT
> you can see that limits in describe project and describe limit are different

How are they different? Both display the same info about a limit range object, with some column names worded slightly different (Limit/Request vs. Limit/Request Ration)
Comment 7 Liang Xia 2017-11-01 21:22:12 EDT
You can see that they have different values in column of "Default" in project and "Default Request" in limit for Container cpu/memory.

Note You need to log in before you can comment on or make changes to this bug.